Skip to main content
GET
/
printers
/
{id}
Get printer by ID
curl --request GET \
  --url https://api.autoprintfarm.com/public/v1/printers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "model": "<string>",
    "manufacturer": "<string>",
    "status": "<string>",
    "location": "<string>",
    "nozzle_size": 123,
    "current_color": "<string>",
    "current_color_hex": "<string>",
    "current_filament_type": "<string>",
    "current_build_plate": "<string>",
    "has_ams": true,
    "is_active": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "firmware_version": "<string>",
    "total_print_time": 123,
    "filament_level": 123,
    "last_maintenance_date": "<string>",
    "in_maintenance": true,
    "maintenance_type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Path Parameters

id
string
required

Printer ID

Response

Printer detail

success
enum<boolean>
required
Available options:
true
data
object
required